package com.ss.android.ugc.aweme.setting.services;

import X.34K;
import X.C4660LnX;
import X.C4672Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.main.service.ILanguageService;
import kotlin.h.b.n;

public final class LanguageService implements ILanguageService {
    static {
        Covode.recordClassIndex(106261);
    }

    public final String LIZ() {
        String LIZ = 34K.LIZ.LIZ(C4660LnX.LIZ());
        n.LIZIZ(LIZ, "");
        return LIZ;
    }

    public static ILanguageService LIZIZ() {
        MethodCollector.i(3446);
        ILanguageService iLanguageService = (ILanguageService) C4672Lnj.LIZ(ILanguageService.class, false);
        if (iLanguageService != null) {
            MethodCollector.o(3446);
            return iLanguageService;
        }
        Object LIZIZ = C4672Lnj.LIZIZ(ILanguageService.class, false);
        if (LIZIZ != null) {
            ILanguageService iLanguageService2 = (ILanguageService) LIZIZ;
            MethodCollector.o(3446);
            return iLanguageService2;
        }
        if (C4672Lnj.aU == null) {
            synchronized (ILanguageService.class) {
                try {
                    if (C4672Lnj.aU == null) {
                        C4672Lnj.aU = new LanguageService();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(3446);
                    throw th;
                }
            }
        }
        LanguageService languageService = (LanguageService) C4672Lnj.aU;
        MethodCollector.o(3446);
        return languageService;
    }
}
